Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet
Class WelcomeFilter

    java.lang.Object
      org.mortbay.servlet.WelcomeFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class WelcomeFilter

extends java.lang.Object
implements javax.servlet.Filter

Welcome Filter This filter can be used to server an index file for a directory when no index file actually exists (thus the web.xml mechanism does not work). This filter will dispatch requests to a directory (URLs ending with /) to the welcome URL determined by the "welcome" init parameter. So if the filter "welcome" init parameter is set to "index.do" then a request to "/some/directory/" will be dispatched to "/some/directory/index.do" and will be handled by any servlets mapped to that URL. Requests to "/some/directory" will be redirected to "/some/directory/".

Constructor Summary
`WelcomeFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WelcomeFilter

    public WelcomeFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.